Specialized Chart Parsing
Specialized chart parsing enables enhanced extraction of charts and graphs from documents using AI-powered analysis.
Specialized chart parsing can be used with any of the agentic_plus, agentic, and cost_effective tiers.
When using the agentic_plus tier, specialized chart parsing is enabled by default — no extra configuration is needed.
Configuration
Section titled “Configuration”Use processing_options.specialized_chart_parsing to enable this feature.
Example
Section titled “Example”{ "tier": "agentic_plus", "version": "latest", "processing_options": { "specialized_chart_parsing": "efficient" }}Complete API Request Example
Section titled “Complete API Request Example”curl -X 'POST' \ 'https://api.cloud.llamaindex.ai/api/v2/parse' \ -H 'Accept: application/json' \ -H 'Content-Type: application/json' \ -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY" \ --data '{ "file_id": "<file_id>", "tier": "agentic_plus", "version": "latest", "processing_options": { "specialized_chart_parsing": "efficient" } }'